Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class StandaloneGenerator.ConfigImpl

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.StandaloneGenerator.ConfigImpl

All Implemented Interfaces:
  StandaloneGenerator.Config

Enclosing class:
  StandaloneGenerator

public static class StandaloneGenerator.ConfigImpl
extends java.lang.Object
implements StandaloneGenerator.Config

Constructor Summary
`StandaloneGenerator.ConfigImpl(java.lang.String pluginId, java.lang.String mainPackageName)`
`StandaloneGenerator.ConfigImpl(java.lang.String pluginId, java.lang.String mainPackageName, boolean useMapMode)`
`StandaloneGenerator.ConfigImpl(java.lang.String pluginId, java.lang.String mainPackageName, java.lang.String pluginFriendlyName, java.lang.String pluginProviderName, java.lang.String pluginActivatorClassName, java.lang.String pluginActivatorPackageName, boolean needsMapMode)`

Method Summary
`java.lang.String` `getMainPackageName()`
`java.lang.String` `getPluginActivatorClassName()`
`java.lang.String` `getPluginActivatorPackageName()`
`java.lang.String` `getPluginFriendlyName()`
`java.lang.String` `getPluginID()`
`java.lang.String` `getPluginProviderName()`
`boolean` `needsMapMode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandaloneGenerator.ConfigImpl

    public StandaloneGenerator.ConfigImpl(java.lang.String pluginId,
                                          java.lang.String mainPackageName)

### StandaloneGenerator.ConfigImpl

    public StandaloneGenerator.ConfigImpl(java.lang.String pluginId,
                                          java.lang.String mainPackageName,
                                          boolean useMapMode)

### StandaloneGenerator.ConfigImpl

    public StandaloneGenerator.ConfigImpl(java.lang.String pluginId,
                                          java.lang.String mainPackageName,
                                          java.lang.String pluginFriendlyName,
                                          java.lang.String pluginProviderName,
                                          java.lang.String pluginActivatorClassName,
                                          java.lang.String pluginActivatorPackageName,
                                          boolean needsMapMode)

Method Detail

### getMainPackageName

    public java.lang.String getMainPackageName()

  Specified by:
    `getMainPackageName` in interface `StandaloneGenerator.Config`

### getPluginFriendlyName

    public java.lang.String getPluginFriendlyName()

  Specified by:
    `getPluginFriendlyName` in interface `StandaloneGenerator.Config`

### getPluginID

    public java.lang.String getPluginID()

  Specified by:
    `getPluginID` in interface `StandaloneGenerator.Config`

### getPluginProviderName

    public java.lang.String getPluginProviderName()

  Specified by:
    `getPluginProviderName` in interface `StandaloneGenerator.Config`

### getPluginActivatorClassName

    public java.lang.String getPluginActivatorClassName()

  Specified by:
    `getPluginActivatorClassName` in interface `StandaloneGenerator.Config`

### getPluginActivatorPackageName

    public java.lang.String getPluginActivatorPackageName()

  Specified by:
    `getPluginActivatorPackageName` in interface `StandaloneGenerator.Config`

### needsMapMode

    public boolean needsMapMode()

  Specified by:
    `needsMapMode` in interface `StandaloneGenerator.Config`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.